Package tigase.util.ui.console

# Class CommandlineParameter

java.lang.Object
tigase.util.ui.console.CommandlineParameter

public class CommandlineParameter extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CommandlineParameter.Builder`
  Creates a `CommandlineParameter` builder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<String>`
  `getDefaultValue()`
  Retrieves default value for this parameter option
  `Optional<String>`
  `getDescription()`
  Retrieves description for this parameter option
  `Optional<String>`
  `getFullName()`
  Retrieves full name for this parameter option
  `Optional<String>`
  `getFullName(boolean includeDash)`
  Retrieves full name for this parameter option
  `Optional<List<String>>`
  `getSelectionOptions()`
  Retrieves list of possible selection options for this parameter option
  `Optional<String>`
  `getSingleLetter()`
  Retrieves single letter identification for this parameter option
  `Optional<String>`
  `getSingleLetter(boolean includeDash)`
  Retrieves single letter identification for this parameter option
  `Class`
  `getType()`
  Retrives expected class of a parameter
  `Optional<String>`
  `getValue()`
  Retrieves stored value for this parameter option
  `List<CommandlineParameter>`
  `getValueDependentParameters()`
  `int`
  `hashCode()`
  `boolean`
  `hasValueDependentParameters()`
  `boolean`
  `isRequireArguments()`
  Retrieves information whether this parameter option requires arguments
  `boolean`
  `isRequired()`
  Retrieves information whether this parameter option is required
  `boolean`
  `isSecret()`
  Retrieves information whether this parameter option is secret
  `void`
  `setValue(String value)`
  Sets value for this parameter option
  `void`
  `setValueFromDefault()`
  Sets the value from the configured default if present
  `String`
  `toString()`
  `String`
  `toStringSimple()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getDefaultValue

    public Optional<String> getDefaultValue()
    Retrieves default value for this parameter option
    Returns:
      Optional for the default value

  - ### getDescription

    public Optional<String> getDescription()
    Retrieves description for this parameter option
    Returns:
      Optional for the description

  - ### getFullName

    public Optional<String> getFullName(boolean includeDash)
    Retrieves full name for this parameter option
    Parameters:
      `includeDash` - controls whether dashes should be included
    Returns:
      Optional for the full name (which may include dashes depending on parameter)

  - ### getFullName

    public Optional<String> getFullName()
    Retrieves full name for this parameter option
    Returns:
      Optional for the full name

  - ### getSelectionOptions

    public Optional<List<String>> getSelectionOptions()
    Retrieves list of possible selection options for this parameter option
    Returns:
      Optional list of the possible selection options

  - ### getSingleLetter

    public Optional<String> getSingleLetter()
    Retrieves single letter identification for this parameter option
    Returns:
      Optional for the single letter

  - ### getSingleLetter

    public Optional<String> getSingleLetter(boolean includeDash)
    Retrieves single letter identification for this parameter option
    Parameters:
      `includeDash` - controls whether dash should be included
    Returns:
      Optional for the single letter (which may include dash depending on parameter)

  - ### getType

    public Class getType()
    Retrives expected class of a parameter

  - ### getValue

    public Optional<String> getValue()
    Retrieves stored value for this parameter option
    Returns:
      Optional with the stored value

  - ### setValue

    public void setValue(String value)
    Sets value for this parameter option
    Parameters:
      `value` - to be set

  - ### getValueDependentParameters

    public List<CommandlineParameter> getValueDependentParameters()

  - ### hasValueDependentParameters

    public boolean hasValueDependentParameters()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isRequireArguments

    public boolean isRequireArguments()
    Retrieves information whether this parameter option requires arguments
    Returns:
      true if the parameter option requires arguments

  - ### isRequired

    public boolean isRequired()
    Retrieves information whether this parameter option is required
    Returns:
      true if the parameter option is required

  - ### isSecret

    public boolean isSecret()
    Retrieves information whether this parameter option is secret
    Returns:
      true if the parameter option is secret

  - ### setValueFromDefault

    public void setValueFromDefault()
    Sets the value from the configured default if present

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toStringSimple

    public String toStringSimple()